local Align = CreateFrame("Frame", "Broker_Align")
local size = 32

Align.obj = LibStub("LibDataBroker-1.1"):NewDataObject("Broker_Align", {
	type = "launcher",
	icon = "Interface\\Icons\\Inv_misc_screwdriver_02.png",
	label = "Align",
	OnClick = function(_, button)
		if button == "LeftButton" then
			SlashCmdList["TOGGLEGRID"]()
		elseif button == "RightButton" then
			size = size * 2
			if size > 256 then size = 32 end
			SlashCmdList["TOGGLEGRID"]()
			SlashCmdList["TOGGLEGRID"](size)
		end
	end,
	OnTooltipShow = function(tooltip)
		tooltip:AddLine("Align")
	end,
})